[build-status: 91034] Log for successful build of x11-session-utils_7.3+1 (dist=unstable)
Build Daemon 1
buildd at linux-m32r.org
Wed Sep 19 20:44:30 JST 2007
Automatic build of x11-session-utils_7.3+1 on mappi005 by sbuild/m32r 0.53
Build started at 20070919-2024
******************************************************************************
Checking available source versions...
Fetching source files...
Reading package lists...
Building dependency tree...
Reading state information...
Need to get 410kB of source archives.
Get:1 http://debian.linux-m32r.org 06_devonian/main x11-session-utils 7.3+1 (dsc) [897B]
Get:2 http://debian.linux-m32r.org 06_devonian/main x11-session-utils 7.3+1 (tar) [409kB]
Fetched 410kB in 4s (96.4kB/s)
Download complete and in download only mode
** Using build dependencies supplied by package:
Build-Depends: debhelper (>= 5.0.0), pkg-config, libxaw7-dev (>= 1:1.0.1-1), libxmu-dev (>= 1:1.0.1-1), libxt-dev (>= 1:1.0.0-1), quilt
Checking for already installed source dependencies...
debhelper: already installed (5.0.55 >= 5.0.0 is satisfied)
pkg-config: already installed (0.22-1)
libxaw7-dev: already installed (2:1.0.4-1 >= 1:1.0.1-1 is satisfied)
libxmu-dev: already installed (1:1.0.3-1 >= 1:1.0.1-1 is satisfied)
libxt-dev: already installed (1:1.0.5-3 >= 1:1.0.0-1 is satisfied)
quilt: already installed (0.46-4)
Checking for source dependency conflicts...
Checking correctness of source dependencies...
Kernel: Linux 2.6.20 m32r (m32r)
Toolchain package versions: libc6-dev_2.3.6.ds1-13 linux-kernel-headers_2.6.18-7 gcc-4.1_4.1.1-21 g++-4.1_4.1.1-21 binutils_2.17-3 libstdc++6-4.1-dev_4.1.1-21 libstdc++6_4.1.1-21
------------------------------------------------------------------------------
gpg: Signature made Sat Sep 15 06:35:12 2007 JST using DSA key ID C3DC59FA
gpg: Can't check signature: public key not found
dpkg-source: extracting x11-session-utils in x11-session-utils-7.3+1
dpkg-source: unpacking x11-session-utils_7.3+1.tar.gz
dpkg-buildpackage: source package is x11-session-utils
dpkg-buildpackage: source version is 7.3+1
dpkg-buildpackage: source changed by Brice Goglin <bgoglin at debian.org>
dpkg-buildpackage: host architecture m32r
dpkg-buildpackage: source version without epoch 7.3+1
/usr/bin/fakeroot debian/rules clean
rm -f stampdir/genscripts
rm -f debian/*.config \
debian/*.postinst \
debian/*.postrm \
debian/*.preinst \
debian/*.prerm
rm -f stampdir/patch
Unapplying patches...nothing to do.
dh_testdir
rm -f .pc patches
rm -rf stampdir build-tree
rm -rf imports
dh_clean debian/shlibs.local \
debian/MANIFEST.m32r debian/MANIFEST.m32r.new \
debian/po/pothead
dh_testdir
dh_testroot
rm -f build-stamp
rm -f config.cache config.log config.status
rm -f */config.cache */config.log */config.status
rm -f conftest* */conftest*
rm -rf autom4te.cache */autom4te.cache
rm -rf *-obj-*
dh_clean
debian/rules build
mkdir stampdir
>stampdir/stampdir
for FILE in debian/*.config.in \
debian/*.postinst.in \
debian/*.postrm.in \
debian/*.preinst.in \
debian/*.prerm.in; do \
if [ -e "$FILE" ]; then \
MAINTSCRIPT=$(echo $FILE | sed 's/.in$//'); \
sed -n '1,/^#INCLUDE_SHELL_LIB#$/p' <$FILE \
| sed -e '/^#INCLUDE_SHELL_LIB#$/d' >$MAINTSCRIPT.tmp; \
cat debian/xsfbs/xsfbs.sh >>$MAINTSCRIPT.tmp; \
sed -n '/^#INCLUDE_SHELL_LIB#$/,$p' <$FILE \
| sed -e '/^#INCLUDE_SHELL_LIB#$/d' >>$MAINTSCRIPT.tmp; \
sed -e 's/@SOURCE_VERSION@/7.3+1/' \
-e 's/@OFFICIAL_BUILD@//' \
-e 's/@DEFAULT_DCRESOLUTIONS@//' \
<$MAINTSCRIPT.tmp >$MAINTSCRIPT; \
rm $MAINTSCRIPT.tmp; \
fi; \
done
# Validate syntax of generated shell scripts.
#sh debian/scripts/validate-posix-sh debian/*.config \
# debian/*.postinst \
# debian/*.postrm \
# debian/*.preinst \
# debian/*.prerm
>stampdir/genscripts
if [ ! -e stampdir/patches ]; then \
mkdir stampdir/patches; \
ln -s stampdir/patches .pc; \
echo 2 >stampdir/patches/.version; \
fi; \
if [ ! -e stampdir/log ]; then \
mkdir stampdir/log; \
fi; \
if [ -e debian/patches ] && [ ! -e patches ]; then \
ln -s debian/patches patches; \
fi; \
>stampdir/prepare
if ! [ `which quilt` ]; then \
echo "Couldn't find quilt. Please install it or add it to the build-depends for this package."; \
exit 1; \
fi; \
if quilt next; then \
echo -n "Applying patches..."; \
if quilt push -a -v >stampdir/log/patch 2>&1; then \
echo "successful."; \
else \
echo "failed! (check stampdir/log/patch for details)"; \
exit 1; \
fi; \
else \
echo "No patches to apply"; \
fi; \
>stampdir/patch
patches/18_xsm_build_without_ssh.diff
Applying patches...successful.
dh_testdir
for FILE in rstart smproxy xsm; do \
echo "$FILE" ; \
mkdir "$FILE"-obj-m32r-linux-gnu; \
(cd "$FILE"-obj-m32r-linux-gnu && \
../"$FILE"/configure --prefix=/usr --mandir=\${prefix}/share/man \
--infodir=\${prefix}/share/info --build=m32r-linux-gnu \
--disable-xprint \
CFLAGS="-Wall -g -O2" \
RSH=rsh \
MANCONF="/etc/manpath.config" && \
/usr/bin/make) || exit 1; \
done
rstart
checking for a BSD-compatible install... /usr/bin/ginstall -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for rm... rm -f
checking for ln... ln -s
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking for a BSD-compatible install... /usr/bin/ginstall -c
checking for sed... /bin/sed
checking for remsh... rsh
checking how to run the C preprocessor... gcc -E
checking for cpp... /usr/bin/cpp
checking if /usr/bin/cpp requires -undef... yes
checking if /usr/bin/cpp requires -traditional... yes
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for RSTART... yes
checking build system type... m32r-unknown-linux-gnu
checking host system type... m32r-unknown-linux-gnu
../rstart/configure: line 4500: 30222 Segmentation fault diff "$cache_file" confcache >/dev/null 2>&1
configure: creating ./config.status
config.status: creating Makefile
config.status: creating config.h
config.status: executing depfiles commands
make[1]: Entering directory `/build/buildd/x11-session-utils-7.3+1/rstart-obj-m32r-linux-gnu'
/usr/bin/make all-am
make[2]: Entering directory `/build/buildd/x11-session-utils-7.3+1/rstart-obj-m32r-linux-gnu'
if gcc -DHAVE_CONFIG_H -I. -I../rstart -I. -DSERVERNAME=\"rstart\" -DDEFAULT_CONFIG=\"/usr/lib/X11/rstart/config\" -Wall -g -O2 -MT rstartd_real-auth.o -MD -MP -MF ".deps/rstartd_real-auth.Tpo" -c -o rstartd_real-auth.o `test -f 'auth.c' || echo '../rstart/'`auth.c; \
then mv -f ".deps/rstartd_real-auth.Tpo" ".deps/rstartd_real-auth.Po"; else rm -f ".deps/rstartd_real-auth.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I../rstart -I. -DSERVERNAME=\"rstart\" -DDEFAULT_CONFIG=\"/usr/lib/X11/rstart/config\" -Wall -g -O2 -MT rstartd_real-server.o -MD -MP -MF ".deps/rstartd_real-server.Tpo" -c -o rstartd_real-server.o `test -f 'server.c' || echo '../rstart/'`server.c; \
then mv -f ".deps/rstartd_real-server.Tpo" ".deps/rstartd_real-server.Po"; else rm -f ".deps/rstartd_real-server.Tpo"; exit 1; fi
gcc -Wall -g -O2 -o rstartd.real rstartd_real-auth.o rstartd_real-server.o -lX11
/usr/bin/cpp -undef -traditional -DRSHCMD=rsh -DSERVERNAME=rstartd \
< ../rstart/client.cpp | /bin/sed -e '/^# *[0-9][0-9]* *.*$/d' -e '/^#line *[0-9][0-9]* *.*$/d' -e '/^[ ]*XCOMM$/s/XCOMM/#/' -e '/^[ ]*XCOMM[^a-zA-Z0-9_]/s/XCOMM/#/' -e '/^[ ]*XHASH/s/XHASH/#/' -e '/\@\@$/s/\@\@$/\\/' > rstart
/usr/bin/cpp -undef -traditional -DBINDIR=/usr/lib/X11/rstart \
-DLIBDIR=/usr/lib/X11/rstart -DSERVERNAME=rstartd < ../rstart/server.cpp | \
/bin/sed -e '/^# *[0-9][0-9]* *.*$/d' -e '/^#line *[0-9][0-9]* *.*$/d' -e '/^[ ]*XCOMM$/s/XCOMM/#/' -e '/^[ ]*XCOMM[^a-zA-Z0-9_]/s/XCOMM/#/' -e '/^[ ]*XHASH/s/XHASH/#/' -e '/\@\@$/s/\@\@$/\\/' > rstartd
/usr/bin/cpp -undef -traditional -D__projectroot__=/usr -D__xorgversion__='"rstart 1.0.2" "X Version 11"' < ../rstart/rstartd.man | /bin/sed -e '/^# *[0-9][0-9]* *.*$/d' -e '/^#line *[0-9][0-9]* *.*$/d' -e '/^[ ]*XCOMM$/s/XCOMM/#/' -e '/^[ ]*XCOMM[^a-zA-Z0-9_]/s/XCOMM/#/' -e '/^[ ]*XHASH/s/XHASH/#/' -e '/\@\@$/s/\@\@$/\\/' > rstartd.1
/usr/bin/cpp -undef -traditional -D__projectroot__=/usr -D__xorgversion__='"rstart 1.0.2" "X Version 11"' < ../rstart/rstart.man | /bin/sed -e '/^# *[0-9][0-9]* *.*$/d' -e '/^#line *[0-9][0-9]* *.*$/d' -e '/^[ ]*XCOMM$/s/XCOMM/#/' -e '/^[ ]*XCOMM[^a-zA-Z0-9_]/s/XCOMM/#/' -e '/^[ ]*XHASH/s/XHASH/#/' -e '/\@\@$/s/\@\@$/\\/' > rstart.1
/usr/bin/cpp -undef -traditional -DPACKAGEname=rstart -DLIBDIR=/usr/lib/X11/rstart \
-DENVPREFIX=RSTART < ../rstart/config.cpp | /bin/sed -e '/^# *[0-9][0-9]* *.*$/d' -e '/^#line *[0-9][0-9]* *.*$/d' -e '/^[ ]*XCOMM$/s/XCOMM/#/' -e '/^[ ]*XCOMM[^a-zA-Z0-9_]/s/XCOMM/#/' -e '/^[ ]*XHASH/s/XHASH/#/' -e '/\@\@$/s/\@\@$/\\/' > config
make[2]: Leaving directory `/build/buildd/x11-session-utils-7.3+1/rstart-obj-m32r-linux-gnu'
make[1]: Leaving directory `/build/buildd/x11-session-utils-7.3+1/rstart-obj-m32r-linux-gnu'
smproxy
checking for a BSD-compatible install... /usr/bin/ginstall -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking for a BSD-compatible install... /usr/bin/ginstall -c
checking for mkstemp... yes
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for SMPROXY... yes
checking build system type... m32r-unknown-linux-gnu
checking host system type... m32r-unknown-linux-gnu
../smproxy/configure: line 3965: 30878 Segmentation fault diff "$cache_file" confcache >/dev/null 2>&1
configure: creating ./config.status
config.status: creating Makefile
config.status: creating config.h
config.status: executing depfiles commands
make[1]: Entering directory `/build/buildd/x11-session-utils-7.3+1/smproxy-obj-m32r-linux-gnu'
/usr/bin/make all-am
make[2]: Entering directory `/build/buildd/x11-session-utils-7.3+1/smproxy-obj-m32r-linux-gnu'
if gcc -DHAVE_CONFIG_H -I. -I../smproxy -I. -Wall -g -O2 -MT smproxy-save.o -MD -MP -MF ".deps/smproxy-save.Tpo" -c -o smproxy-save.o `test -f 'save.c' || echo '../smproxy/'`save.c; \
then mv -f ".deps/smproxy-save.Tpo" ".deps/smproxy-save.Po"; else rm -f ".deps/smproxy-save.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I../smproxy -I. -Wall -g -O2 -MT smproxy-smproxy.o -MD -MP -MF ".deps/smproxy-smproxy.Tpo" -c -o smproxy-smproxy.o `test -f 'smproxy.c' || echo '../smproxy/'`smproxy.c; \
then mv -f ".deps/smproxy-smproxy.Tpo" ".deps/smproxy-smproxy.Po"; else rm -f ".deps/smproxy-smproxy.Tpo"; exit 1; fi
../smproxy/smproxy.c: In function 'GetClientLeader':
../smproxy/smproxy.c:167: warning: dereferencing type-punned pointer will break strict-aliasing rules
../smproxy/smproxy.c: In function 'HandleCreate':
../smproxy/smproxy.c:865: warning: dereferencing type-punned pointer will break strict-aliasing rules
gcc -Wall -g -O2 -o smproxy smproxy-save.o smproxy-smproxy.o -lXmu -lXt -lX11 -lSM -lICE
sed -e 's|__vendorversion__|"smproxy 1.0.2" "X Version 11"|' -e 's|__xorgversion__|"smproxy 1.0.2" "X Version 11"|' -e 's|__xservername__|Xorg|g' -e 's|__xconfigfile__|xorg.conf|g' -e 's|__projectroot__|/usr|g' -e 's|__apploaddir__||' -e 's|__appmansuffix__|1|g' -e 's|__libmansuffix__|3|g' -e 's|__adminmansuffix__|8|g' -e 's|__miscmansuffix__|7|g' -e 's|__filemansuffix__|5|g' < ../smproxy/smproxy.man > smproxy.1
make[2]: Leaving directory `/build/buildd/x11-session-utils-7.3+1/smproxy-obj-m32r-linux-gnu'
make[1]: Leaving directory `/build/buildd/x11-session-utils-7.3+1/smproxy-obj-m32r-linux-gnu'
xsm
checking for a BSD-compatible install... /usr/bin/ginstall -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking for a BSD-compatible install... /usr/bin/ginstall -c
checking for mkstemp... yes
checking for putenv... yes
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for TMP_XAW... yes
checking for APPDEFS... yes
checking build system type... m32r-unknown-linux-gnu
checking host system type... m32r-unknown-linux-gnu
../xsm/configure: line 4432: 31549 Segmentation fault diff "$cache_file" confcache >/dev/null 2>&1
configure: creating ./config.status
config.status: creating Makefile
config.status: creating config.h
config.status: executing depfiles commands
make[1]: Entering directory `/build/buildd/x11-session-utils-7.3+1/xsm-obj-m32r-linux-gnu'
/usr/bin/make all-am
make[2]: Entering directory `/build/buildd/x11-session-utils-7.3+1/xsm-obj-m32r-linux-gnu'
if gcc -DHAVE_CONFIG_H -I. -I../xsm -I. -DRSHCMD=\"rsh\" -DSYSTEM_INIT_FILE=\"/usr/lib/X11/xsm/system.xsm\" -Wall -g -O2 -MT xsm-auth.o -MD -MP -MF ".deps/xsm-auth.Tpo" -c -o xsm-auth.o `test -f 'auth.c' || echo '../xsm/'`auth.c; \
then mv -f ".deps/xsm-auth.Tpo" ".deps/xsm-auth.Po"; else rm -f ".deps/xsm-auth.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I../xsm -I. -DRSHCMD=\"rsh\" -DSYSTEM_INIT_FILE=\"/usr/lib/X11/xsm/system.xsm\" -Wall -g -O2 -MT xsm-choose.o -MD -MP -MF ".deps/xsm-choose.Tpo" -c -o xsm-choose.o `test -f 'choose.c' || echo '../xsm/'`choose.c; \
then mv -f ".deps/xsm-choose.Tpo" ".deps/xsm-choose.Po"; else rm -f ".deps/xsm-choose.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I../xsm -I. -DRSHCMD=\"rsh\" -DSYSTEM_INIT_FILE=\"/usr/lib/X11/xsm/system.xsm\" -Wall -g -O2 -MT xsm-info.o -MD -MP -MF ".deps/xsm-info.Tpo" -c -o xsm-info.o `test -f 'info.c' || echo '../xsm/'`info.c; \
then mv -f ".deps/xsm-info.Tpo" ".deps/xsm-info.Po"; else rm -f ".deps/xsm-info.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I../xsm -I. -DRSHCMD=\"rsh\" -DSYSTEM_INIT_FILE=\"/usr/lib/X11/xsm/system.xsm\" -Wall -g -O2 -MT xsm-list.o -MD -MP -MF ".deps/xsm-list.Tpo" -c -o xsm-list.o `test -f 'list.c' || echo '../xsm/'`list.c; \
then mv -f ".deps/xsm-list.Tpo" ".deps/xsm-list.Po"; else rm -f ".deps/xsm-list.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I../xsm -I. -DRSHCMD=\"rsh\" -DSYSTEM_INIT_FILE=\"/usr/lib/X11/xsm/system.xsm\" -Wall -g -O2 -MT xsm-lock.o -MD -MP -MF ".deps/xsm-lock.Tpo" -c -o xsm-lock.o `test -f 'lock.c' || echo '../xsm/'`lock.c; \
then mv -f ".deps/xsm-lock.Tpo" ".deps/xsm-lock.Po"; else rm -f ".deps/xsm-lock.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I../xsm -I. -DRSHCMD=\"rsh\" -DSYSTEM_INIT_FILE=\"/usr/lib/X11/xsm/system.xsm\" -Wall -g -O2 -MT xsm-log.o -MD -MP -MF ".deps/xsm-log.Tpo" -c -o xsm-log.o `test -f 'log.c' || echo '../xsm/'`log.c; \
then mv -f ".deps/xsm-log.Tpo" ".deps/xsm-log.Po"; else rm -f ".deps/xsm-log.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I../xsm -I. -DRSHCMD=\"rsh\" -DSYSTEM_INIT_FILE=\"/usr/lib/X11/xsm/system.xsm\" -Wall -g -O2 -MT xsm-mainwin.o -MD -MP -MF ".deps/xsm-mainwin.Tpo" -c -o xsm-mainwin.o `test -f 'mainwin.c' || echo '../xsm/'`mainwin.c; \
then mv -f ".deps/xsm-mainwin.Tpo" ".deps/xsm-mainwin.Po"; else rm -f ".deps/xsm-mainwin.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I../xsm -I. -DRSHCMD=\"rsh\" -DSYSTEM_INIT_FILE=\"/usr/lib/X11/xsm/system.xsm\" -Wall -g -O2 -MT xsm-misc.o -MD -MP -MF ".deps/xsm-misc.Tpo" -c -o xsm-misc.o `test -f 'misc.c' || echo '../xsm/'`misc.c; \
then mv -f ".deps/xsm-misc.Tpo" ".deps/xsm-misc.Po"; else rm -f ".deps/xsm-misc.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I../xsm -I. -DRSHCMD=\"rsh\" -DSYSTEM_INIT_FILE=\"/usr/lib/X11/xsm/system.xsm\" -Wall -g -O2 -MT xsm-popup.o -MD -MP -MF ".deps/xsm-popup.Tpo" -c -o xsm-popup.o `test -f 'popup.c' || echo '../xsm/'`popup.c; \
then mv -f ".deps/xsm-popup.Tpo" ".deps/xsm-popup.Po"; else rm -f ".deps/xsm-popup.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I../xsm -I. -DRSHCMD=\"rsh\" -DSYSTEM_INIT_FILE=\"/usr/lib/X11/xsm/system.xsm\" -Wall -g -O2 -MT xsm-printhex.o -MD -MP -MF ".deps/xsm-printhex.Tpo" -c -o xsm-printhex.o `test -f 'printhex.c' || echo '../xsm/'`printhex.c; \
then mv -f ".deps/xsm-printhex.Tpo" ".deps/xsm-printhex.Po"; else rm -f ".deps/xsm-printhex.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I../xsm -I. -DRSHCMD=\"rsh\" -DSYSTEM_INIT_FILE=\"/usr/lib/X11/xsm/system.xsm\" -Wall -g -O2 -MT xsm-prop.o -MD -MP -MF ".deps/xsm-prop.Tpo" -c -o xsm-prop.o `test -f 'prop.c' || echo '../xsm/'`prop.c; \
then mv -f ".deps/xsm-prop.Tpo" ".deps/xsm-prop.Po"; else rm -f ".deps/xsm-prop.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I../xsm -I. -DRSHCMD=\"rsh\" -DSYSTEM_INIT_FILE=\"/usr/lib/X11/xsm/system.xsm\" -Wall -g -O2 -MT xsm-remote.o -MD -MP -MF ".deps/xsm-remote.Tpo" -c -o xsm-remote.o `test -f 'remote.c' || echo '../xsm/'`remote.c; \
then mv -f ".deps/xsm-remote.Tpo" ".deps/xsm-remote.Po"; else rm -f ".deps/xsm-remote.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I../xsm -I. -DRSHCMD=\"rsh\" -DSYSTEM_INIT_FILE=\"/usr/lib/X11/xsm/system.xsm\" -Wall -g -O2 -MT xsm-restart.o -MD -MP -MF ".deps/xsm-restart.Tpo" -c -o xsm-restart.o `test -f 'restart.c' || echo '../xsm/'`restart.c; \
then mv -f ".deps/xsm-restart.Tpo" ".deps/xsm-restart.Po"; else rm -f ".deps/xsm-restart.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I../xsm -I. -DRSHCMD=\"rsh\" -DSYSTEM_INIT_FILE=\"/usr/lib/X11/xsm/system.xsm\" -Wall -g -O2 -MT xsm-save.o -MD -MP -MF ".deps/xsm-save.Tpo" -c -o xsm-save.o `test -f 'save.c' || echo '../xsm/'`save.c; \
then mv -f ".deps/xsm-save.Tpo" ".deps/xsm-save.Po"; else rm -f ".deps/xsm-save.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I../xsm -I. -DRSHCMD=\"rsh\" -DSYSTEM_INIT_FILE=\"/usr/lib/X11/xsm/system.xsm\" -Wall -g -O2 -MT xsm-saveutil.o -MD -MP -MF ".deps/xsm-saveutil.Tpo" -c -o xsm-saveutil.o `test -f 'saveutil.c' || echo '../xsm/'`saveutil.c; \
then mv -f ".deps/xsm-saveutil.Tpo" ".deps/xsm-saveutil.Po"; else rm -f ".deps/xsm-saveutil.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I../xsm -I. -DRSHCMD=\"rsh\" -DSYSTEM_INIT_FILE=\"/usr/lib/X11/xsm/system.xsm\" -Wall -g -O2 -MT xsm-signals.o -MD -MP -MF ".deps/xsm-signals.Tpo" -c -o xsm-signals.o `test -f 'signals.c' || echo '../xsm/'`signals.c; \
then mv -f ".deps/xsm-signals.Tpo" ".deps/xsm-signals.Po"; else rm -f ".deps/xsm-signals.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I../xsm -I. -DRSHCMD=\"rsh\" -DSYSTEM_INIT_FILE=\"/usr/lib/X11/xsm/system.xsm\" -Wall -g -O2 -MT xsm-xsm.o -MD -MP -MF ".deps/xsm-xsm.Tpo" -c -o xsm-xsm.o `test -f 'xsm.c' || echo '../xsm/'`xsm.c; \
then mv -f ".deps/xsm-xsm.Tpo" ".deps/xsm-xsm.Po"; else rm -f ".deps/xsm-xsm.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I../xsm -I. -DRSHCMD=\"rsh\" -DSYSTEM_INIT_FILE=\"/usr/lib/X11/xsm/system.xsm\" -Wall -g -O2 -MT xsm-xtwatch.o -MD -MP -MF ".deps/xsm-xtwatch.Tpo" -c -o xsm-xtwatch.o `test -f 'xtwatch.c' || echo '../xsm/'`xtwatch.c; \
then mv -f ".deps/xsm-xtwatch.Tpo" ".deps/xsm-xtwatch.Po"; else rm -f ".deps/xsm-xtwatch.Tpo"; exit 1; fi
gcc -Wall -g -O2 -o xsm xsm-auth.o xsm-choose.o xsm-info.o xsm-list.o xsm-lock.o xsm-log.o xsm-mainwin.o xsm-misc.o xsm-popup.o xsm-printhex.o xsm-prop.o xsm-remote.o xsm-restart.o xsm-save.o xsm-saveutil.o xsm-signals.o xsm-xsm.o xsm-xtwatch.o -lXaw7 -lXmu -lXt -lX11 -lSM -lICE
cp ../xsm/XSm.ad XSm
sed -e 's|__vendorversion__|"xsm 1.0.1" "X Version 11"|' -e 's|__xorgversion__|"xsm 1.0.1" "X Version 11"|' -e 's|__xservername__|Xorg|g' -e 's|__xconfigfile__|xorg.conf|g' -e 's|__projectroot__|/usr|g' -e 's|__apploaddir__|/etc/X11/app-defaults|' -e 's|__appmansuffix__|1|g' -e 's|__libmansuffix__|3|g' -e 's|__adminmansuffix__|8|g' -e 's|__miscmansuffix__|7|g' -e 's|__filemansuffix__|5|g' < ../xsm/xsm.man > xsm.1
make[2]: Leaving directory `/build/buildd/x11-session-utils-7.3+1/xsm-obj-m32r-linux-gnu'
make[1]: Leaving directory `/build/buildd/x11-session-utils-7.3+1/xsm-obj-m32r-linux-gnu'
touch build-stamp
/usr/bin/fakeroot debian/rules binary-arch
dh_testdir
dh_testroot
dh_clean -k
dh_installdirs
for FILE in rstart smproxy xsm; do \
cd "$FILE"-obj-m32r-linux-gnu && /usr/bin/make DESTDIR=/build/buildd/x11-session-utils-7.3+1/debian/tmp install ; \
cd ..; \
done
make[1]: Entering directory `/build/buildd/x11-session-utils-7.3+1/rstart-obj-m32r-linux-gnu'
make[2]: Entering directory `/build/buildd/x11-session-utils-7.3+1/rstart-obj-m32r-linux-gnu'
test -z "/usr/bin" || mkdir -p -- "/build/buildd/x11-session-utils-7.3+1/debian/tmp/usr/bin"
/usr/bin/ginstall -c 'rstart' '/build/buildd/x11-session-utils-7.3+1/debian/tmp/usr/bin/rstart'
/usr/bin/ginstall -c 'rstartd' '/build/buildd/x11-session-utils-7.3+1/debian/tmp/usr/bin/rstartd'
test -z "/usr/share/man/man1" || mkdir -p -- "/build/buildd/x11-session-utils-7.3+1/debian/tmp/usr/share/man/man1"
/usr/bin/ginstall -c -m 644 'rstartd.1' '/build/buildd/x11-session-utils-7.3+1/debian/tmp/usr/share/man/man1/rstartd.1'
/usr/bin/ginstall -c -m 644 'rstart.1' '/build/buildd/x11-session-utils-7.3+1/debian/tmp/usr/share/man/man1/rstart.1'
test -z "/usr/lib/X11/rstart" || mkdir -p -- "/build/buildd/x11-session-utils-7.3+1/debian/tmp/usr/lib/X11/rstart"
/usr/bin/ginstall -c -m 644 'config' '/build/buildd/x11-session-utils-7.3+1/debian/tmp/usr/lib/X11/rstart/config'
test -z "/usr/lib/X11/rstart" || mkdir -p -- "/build/buildd/x11-session-utils-7.3+1/debian/tmp/usr/lib/X11/rstart"
/usr/bin/ginstall -c 'rstartd.real' '/build/buildd/x11-session-utils-7.3+1/debian/tmp/usr/lib/X11/rstart/rstartd.real'
/usr/bin/make install-data-hook
make[3]: Entering directory `/build/buildd/x11-session-utils-7.3+1/rstart-obj-m32r-linux-gnu'
for name in `find ../rstart/commands -print | grep -v CVS` ; do \
if test -f $name; then \
sed \
-e 's,ENVPREFIX,RSTART,g' \
< $name > /build/buildd/x11-session-utils-7.3+1/debian/tmp/usr/lib/X11/rstart/$name; \
case `basename /build/buildd/x11-session-utils-7.3+1/debian/tmp/usr/lib/X11/rstart/$name` in \
@*) \
;; \
*) \
chmod a+x /build/buildd/x11-session-utils-7.3+1/debian/tmp/usr/lib/X11/rstart/$name ;; \
esac; \
else \
if [ -d $name ] ; then \
mkdir -p /build/buildd/x11-session-utils-7.3+1/debian/tmp/usr/lib/X11/rstart/$name ; \
fi; \
fi; \
done; \
\
for name in `find ../rstart/contexts -print | grep -v CVS` ; do \
if test -f $name; then \
sed \
-e 's,_PATH,/bin:/usr/bin:/usr/bin:/usr/ucb:/usr/gnu/bin:/usr/local/bin,g' \
-e 's,_MANPATH,/usr/man:/usr/share/man:/usr/man,g' \
< $name > /build/buildd/x11-session-utils-7.3+1/debian/tmp/usr/lib/X11/rstart/$name ; \
else \
if [ -d $name ] ; then \
mkdir -p /build/buildd/x11-session-utils-7.3+1/debian/tmp/usr/lib/X11/rstart/$name ; \
fi ; \
fi ; \
done; \
\
cd /build/buildd/x11-session-utils-7.3+1/debian/tmp/usr/lib/X11/rstart/contexts; \
sed -e '/^$/d' -e '/^#/d' ../rstart/contexts/@Aliases | \
while read real aliases; do \
for i in $aliases; do \
rm -f $i; \
ln -s $real $i; \
rm -f /build/buildd/x11-session-utils-7.3+1/debian/tmp/usr/lib/X11/rstart/commands/$i; \
ln -s $real /build/buildd/x11-session-utils-7.3+1/debian/tmp/usr/lib/X11/rstart/commands/$i; \
done; \
done; \
rm -f @Aliases
sed: can't read ../rstart/contexts/@Aliases: No such file or directory
make[3]: Leaving directory `/build/buildd/x11-session-utils-7.3+1/rstart-obj-m32r-linux-gnu'
make[2]: Leaving directory `/build/buildd/x11-session-utils-7.3+1/rstart-obj-m32r-linux-gnu'
make[1]: Leaving directory `/build/buildd/x11-session-utils-7.3+1/rstart-obj-m32r-linux-gnu'
make[1]: Entering directory `/build/buildd/x11-session-utils-7.3+1/smproxy-obj-m32r-linux-gnu'
make[2]: Entering directory `/build/buildd/x11-session-utils-7.3+1/smproxy-obj-m32r-linux-gnu'
test -z "/usr/bin" || mkdir -p -- "/build/buildd/x11-session-utils-7.3+1/debian/tmp/usr/bin"
/usr/bin/ginstall -c 'smproxy' '/build/buildd/x11-session-utils-7.3+1/debian/tmp/usr/bin/smproxy'
test -z "/usr/share/man/man1" || mkdir -p -- "/build/buildd/x11-session-utils-7.3+1/debian/tmp/usr/share/man/man1"
/usr/bin/ginstall -c -m 644 'smproxy.1' '/build/buildd/x11-session-utils-7.3+1/debian/tmp/usr/share/man/man1/smproxy.1'
make[2]: Leaving directory `/build/buildd/x11-session-utils-7.3+1/smproxy-obj-m32r-linux-gnu'
make[1]: Leaving directory `/build/buildd/x11-session-utils-7.3+1/smproxy-obj-m32r-linux-gnu'
make[1]: Entering directory `/build/buildd/x11-session-utils-7.3+1/xsm-obj-m32r-linux-gnu'
make[2]: Entering directory `/build/buildd/x11-session-utils-7.3+1/xsm-obj-m32r-linux-gnu'
test -z "/usr/bin" || mkdir -p -- "/build/buildd/x11-session-utils-7.3+1/debian/tmp/usr/bin"
/usr/bin/ginstall -c 'xsm' '/build/buildd/x11-session-utils-7.3+1/debian/tmp/usr/bin/xsm'
test -z "/etc/X11/app-defaults" || mkdir -p -- "/build/buildd/x11-session-utils-7.3+1/debian/tmp/etc/X11/app-defaults"
/usr/bin/ginstall -c -m 644 'XSm' '/build/buildd/x11-session-utils-7.3+1/debian/tmp/etc/X11/app-defaults/XSm'
test -z "/usr/share/man/man1" || mkdir -p -- "/build/buildd/x11-session-utils-7.3+1/debian/tmp/usr/share/man/man1"
/usr/bin/ginstall -c -m 644 'xsm.1' '/build/buildd/x11-session-utils-7.3+1/debian/tmp/usr/share/man/man1/xsm.1'
test -z "/usr/lib/X11/xsm" || mkdir -p -- "/build/buildd/x11-session-utils-7.3+1/debian/tmp/usr/lib/X11/xsm"
/usr/bin/ginstall -c -m 644 '../xsm/system.xsm' '/build/buildd/x11-session-utils-7.3+1/debian/tmp/usr/lib/X11/xsm/system.xsm'
make[2]: Leaving directory `/build/buildd/x11-session-utils-7.3+1/xsm-obj-m32r-linux-gnu'
make[1]: Leaving directory `/build/buildd/x11-session-utils-7.3+1/xsm-obj-m32r-linux-gnu'
dh_testdir
dh_testroot
dh_installdocs
dh_install --sourcedir=debian/tmp --list-missing
dh_installchangelogs
dh_link
dh_strip
dh_compress
dh_fixperms
dh_installdeb
dh_shlibdeps
dh_makeshlibs
dh_gencontrol
dpkg-gencontrol: warning: unknown substitution variable ${misc:Depends}
dh_md5sums
dh_builddeb
dpkg-deb: building package `x11-session-utils' in `../x11-session-utils_7.3+1_m32r.deb'.
dpkg-genchanges -B
dpkg-genchanges: arch-specific upload - not including arch-independent packages
dpkg-genchanges: binary-only upload - not including any source code
dpkg-buildpackage: binary only upload (no source included)
******************************************************************************
Build finished at 20070919-2044
x11-session-utils_7.3+1_m32r.changes:
Format: 1.7
Date: Fri, 14 Sep 2007 23:32:47 +0200
Source: x11-session-utils
Binary: x11-session-utils
Architecture: m32r
Version: 7.3+1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x at lists.debian.org>
Changed-By: Brice Goglin <bgoglin at debian.org>
Description:
x11-session-utils - X session utilities
Changes:
x11-session-utils (7.3+1) unstable; urgency=low
.
* Improvements to debian/copyright.
* Add myself to Uploaders, and remove Branden with his permission.
Files:
193960ece5774a85d7a7ca12650c3311 70672 x11 optional x11-session-utils_7.3+1_m32r.deb
/debian/buildd/build/chroot-unstable/build/buildd/x11-session-utils_7.3+1_m32r.deb:
new debian package, version 2.0.
size 70672 bytes: control archive= 1323 bytes.
26 bytes, 1 lines conffiles
868 bytes, 20 lines control
1458 bytes, 22 lines md5sums
Package: x11-session-utils
Version: 7.3+1
Architecture: m32r
Maintainer: Debian X Strike Force <debian-x at lists.debian.org>
Installed-Size: 268
Pre-Depends: x11-common (>= 1:7.0.0)
Depends: libc6 (>= 2.3.5-1), libice6 (>= 1:1.0.0), libsm6, libx11-6, libxaw7, libxmu6, libxt6, cpp
Conflicts: smproxy, xsm (<= 1:1.0.1-1)
Replaces: xbase-clients (<= 1:7.2.ds2-3), xutils (<= 1:7.1.ds.3-1), smproxy, xsm (<= 1:1.0.1-1)
Section: x11
Priority: optional
Description: X session utilities
This package provides the X session manager and related tools:
- rstart;
- smproxy, a session manager proxy for X clients that do not use the X
session manager protocol;
- xsm, a session manager for X sessions;
Installation of an rsh or ssh daemon (server) is necessary if rstartd is
to be used, and installation of an rsh or ssh client is necessary if
rstart is to be used.
/debian/buildd/build/chroot-unstable/build/buildd/x11-session-utils_7.3+1_m32r.deb:
drwxr-xr-x root/root 0 2007-09-19 20:42 ./
drwxr-xr-x root/root 0 2007-09-19 20:41 ./etc/
drwxr-xr-x root/root 0 2007-09-19 20:41 ./etc/X11/
drwxr-xr-x root/root 0 2007-09-19 20:41 ./etc/X11/app-defaults/
-rw-r--r-- root/root 3871 2007-09-19 20:41 ./etc/X11/app-defaults/XSm
drwxr-xr-x root/root 0 2007-09-19 20:41 ./usr/
drwxr-xr-x root/root 0 2007-09-19 20:42 ./usr/bin/
-rwxr-xr-x root/root 60892 2007-09-19 20:42 ./usr/bin/xsm
-rwxr-xr-x root/root 1435 2007-09-19 20:40 ./usr/bin/rstartd
-rwxr-xr-x root/root 14172 2007-09-19 20:42 ./usr/bin/smproxy
-rwxr-xr-x root/root 2613 2007-09-19 20:40 ./usr/bin/rstart
drwxr-xr-x root/root 0 2007-09-19 20:41 ./usr/share/
drwxr-xr-x root/root 0 2007-09-19 20:41 ./usr/share/doc/
drwxr-xr-x root/root 0 2007-09-19 20:42 ./usr/share/doc/x11-session-utils/
-rw-r--r-- root/root 3911 2007-09-15 06:33 ./usr/share/doc/x11-session-utils/copyright
-rw-r--r-- root/root 4164 2007-09-15 06:33 ./usr/share/doc/x11-session-utils/changelog.gz
drwxr-xr-x root/root 0 2007-09-19 20:41 ./usr/share/man/
drwxr-xr-x root/root 0 2007-09-19 20:42 ./usr/share/man/man1/
-rw-r--r-- root/root 5242 2007-09-19 20:41 ./usr/share/man/man1/xsm.1.gz
-rw-r--r-- root/root 1464 2007-09-19 20:41 ./usr/share/man/man1/smproxy.1.gz
-rw-r--r-- root/root 4699 2007-09-19 20:40 ./usr/share/man/man1/rstartd.1.gz
-rw-r--r-- root/root 2257 2007-09-19 20:40 ./usr/share/man/man1/rstart.1.gz
drwxr-xr-x root/root 0 2007-09-19 20:41 ./usr/lib/
drwxr-xr-x root/root 0 2007-09-19 20:41 ./usr/lib/X11/
drwxr-xr-x root/root 0 2007-09-19 20:41 ./usr/lib/X11/xsm/
-rw-r--r-- root/root 77 2007-09-19 20:41 ./usr/lib/X11/xsm/system.xsm
drwxr-xr-x root/root 0 2007-09-19 20:42 ./usr/lib/X11/rstart/
-rwxr-xr-x root/root 12436 2007-09-19 20:42 ./usr/lib/X11/rstart/rstartd.real
drwxr-xr-x root/root 0 2007-09-19 20:40 ./usr/lib/X11/rstart/contexts/
-rw-r--r-- root/root 1286 2007-09-19 20:40 ./usr/lib/X11/rstart/contexts/default
-rw-r--r-- root/root 1576 2007-09-19 20:40 ./usr/lib/X11/rstart/contexts/x11r6
-rw-r--r-- root/root 1306 2007-09-19 20:40 ./usr/lib/X11/rstart/contexts/@List
drwxr-xr-x root/root 0 2007-09-19 20:40 ./usr/lib/X11/rstart/commands/
-rwxr-xr-x root/root 1442 2007-09-19 20:40 ./usr/lib/X11/rstart/commands/ListContexts
drwxr-xr-x root/root 0 2007-09-19 20:40 ./usr/lib/X11/rstart/commands/x11r6/
-rwxr-xr-x root/root 1294 2007-09-19 20:40 ./usr/lib/X11/rstart/commands/x11r6/Terminal
-rw-r--r-- root/root 1364 2007-09-19 20:40 ./usr/lib/X11/rstart/commands/x11r6/@List
-rwxr-xr-x root/root 1297 2007-09-19 20:40 ./usr/lib/X11/rstart/commands/x11r6/LoadMonitor
-rw-r--r-- root/root 1359 2007-09-19 20:40 ./usr/lib/X11/rstart/commands/@List
-rwxr-xr-x root/root 1550 2007-09-19 20:40 ./usr/lib/X11/rstart/commands/ListGenericCommands
-rw-r--r-- root/root 1699 2007-09-19 20:40 ./usr/lib/X11/rstart/config
******************************************************************************
Built successfully
Purging /debian/buildd/build/chroot-unstable/build/buildd/x11-session-utils-7.3+1
------------------------------------------------------------------------------
******************************************************************************
Finished at 20070919-2044
Build needed 00:17:32, 4460k disk space
More information about the build-status
mailing list